## Panel.PanelManager Panel.PanelManager — Manager of Cinnamon panels |

## Functions

| disablePanels ()
| enablePanels ()
| setPanelsOpacity ()
| removePanel ()
| addPanel ()
| movePanel ()
| _destroyDummyPanels ()
| getPanelInMonitor ()
| getPanels ()
| getPanel ()
| updatePanelsVisibility ()
Panel.Panel | _loadPanel ()
| addPanelQuery ()
| movePanelQuery ()

## Object Hierarchy

        Object
        ╰── Panel.PanelManager

## Description

`PanelManager` creates panels and startup and provides methods for easier access of panels

## Functions

### disablePanels ()

    disablePanels ();

Disables (hide and lock) all panels

### enablePanels ()

    enablePanels ();

Enables all panels

### setPanelsOpacity ()

    setPanelsOpacity (int   opacity);

Sets the opacity of all hideable panels to `opacity`

#### Parameters

opacity | opacity of panels |

### removePanel ()

    removePanel (int   panelId);

Remove the panel from the list panels-enabled

#### Parameters

panelId | Panel id of the panel to be removed |

### addPanel ()

    addPanel (integer   monitorIndex,
              boolean   bottomPosition);

Adds a new panel to the specified position

#### Parameters

monitorIndex | monitor to be added to |
bottomPosition | whether the panel is added to the bottom |

### movePanel ()

    movePanel (integer   monitorIndex,
               boolean   bottomPosition);

Moves the panel of id this.moveId to the specified position

#### Parameters

monitorIndex | monitor to be added to |
bottomPosition | whether the panel is added to the bottom |

### _destroyDummyPanels ()

    _destroyDummyPanels ();

Destroys all panel dummies

### getPanelInMonitor ()

    getPanelInMonitor (integer   monitorIndex);

Retrieves all the panels in the monitor of index `monitorIndex`

#### Parameters

monitorIndex | index of monitor |

#### Returns

an array of panels

### getPanels ()

    getPanels ();

Retrieves all panels

#### Returns

an array of panels

### getPanel ()

    getPanel (integer   monitorIndex,
              boolean   bottomPosition);

Gets a specific panel in monitor `monitorIndex` (bottom panel if `bottomPosition` is true)

#### Parameters

monitorIndex | index of monitor |
bottomPosition | whether the bottom panel is wanted |

#### Returns

the panel required (null if panel not found)

### updatePanelsVisibility ()

    updatePanelsVisibility ();

Prompts every panel to update its visibility (show/hide). This is used by WindowManager after window map/tile/etc animations, and after popup menus close.

### _loadPanel ()

    Panel.Panel
    _loadPanel (integer   ID,
                integer   monitorIndex,
                boolean   bottomPosition,
                array     panelList,
                array     metaList);

Loads a panel with the given properties and appends it to `panelList`. `panelList` is usually this.panels but is a different array when used by _onPanelsEnabledChanged.

#### Parameters

ID | panel id |
monitorIndex | index of monitor of panel |
bottomPosition | whether the panel should be at the bottom or not |
panelList | (optional) the list in which the new panel should be appended to (not necessarily this.panels, c.f. _onPanelsEnabledChanged) Default: this.panels |
metaList | (optional) the list in which the new panel metadata should be appended to (not necessarily this.panelsMeta, c.f. _onPanelsEnabledChanged) Default: this.panelsMeta |

#### Returns

Panel created

### addPanelQuery ()

    addPanelQuery ();

Prompts user where to add the panel

### movePanelQuery ()

    movePanelQuery (integer   id);

Prompts user where to move the panel

#### Parameters

id | the id of the panel to be moved |